Get message summary for a contact

Returns aggregate message counts, time bounds, channels used, and per-channel success/fail scores (each as a percentage 0-100 of messages on that channel) for one of your contacts. Successful terminal states: SENT/DELIVERED/READ for outbound, RECEIVED for inbound. Fail: FAILED.

GET
/v3/contacts/{contactId}/message-summary

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v3/contacts/6ba7b810-9dad-11d1-80b4-00c04fd430c8/message-summary"
{
  "success": true,
  "data": {
    "contact_id": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
    "message_count": 42,
    "first_message_at": "2026-07-04T12:01:06.345494+00:00",
    "last_message_at": "2026-08-03T09:01:06.3455225+00:00",
    "channels_used": [
      "sms",
      "whatsapp"
    ],
    "channel_scores": [
      {
        "channel": "sms",
        "success_score": 91,
        "fail_score": 9
      },
      {
        "channel": "whatsapp",
        "success_score": 90,
        "fail_score": 10
      }
    ]
  },
  "error": null,
  "meta": {
    "request_id": "req_7X9zKp2jDw",
    "timestamp": "2026-08-03T12:01:06.3456753+00:00",
    "version": "v3"
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}
Empty
Empty
{
  "success": false,
  "data": null,
  "error": {
    "code": "RESOURCE_001",
    "message": "Contact not found",
    "details": null,
    "doc_url": "https://docs.sent.dm/reference/api/error-catalog"
  },
  "meta": {
    "request_id": "req_7X9zKp2jDw",
    "timestamp": "2026-08-03T12:01:06.3456793+00:00",
    "version": "v3"
  }
}
{
  "success": true,
  "error": {
    "code": "string",
    "message": "string",
    "details": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "doc_url": "string"
  },
  "meta": {
    "request_id": "string",
    "timestamp": "2019-08-24T14:15:22Z",
    "version": "string"
  }
}